---
lang: en
title: 'API docs: mock-oauth2-provider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/fixtures/mock-oauth2-provider
permalink: /doc/en/lb4/apidocs.mock-oauth2-provider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/mock-oauth2-provider](./mock-oauth2-provider.md)

## mock-oauth2-provider package

[@loopback/mock-oauth2-provider](https://github.com/loopbackio/loopback-next/tree/master/fixtures/mock-oauth2-provider)

## Classes

<table><thead><tr><th>

Class


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[UserRepository](./mock-oauth2-provider.userrepository.md)


</td><td>

Repository to store and access user objects


</td></tr>
</tbody></table>

## Interfaces

<table><thead><tr><th>

Interface


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[MyUser](./mock-oauth2-provider.myuser.md)


</td><td>

A simple User model


</td></tr>
</tbody></table>

## Namespaces

<table><thead><tr><th>

Namespace


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[MockTestOauth2SocialApp](./mock-oauth2-provider.mocktestoauth2socialapp.md)


</td><td>


</td></tr>
</tbody></table>

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[userRepository](./mock-oauth2-provider.userrepository.md)


</td><td>

Sample data to mock existing registered users new users can be registered with the repository functions


</td></tr>
</tbody></table>

